Export JSON seed for an inactive Appliance.

Prev Next
Post
/appliances/{id}/export

Export JSON seed for an inactive Appliance.

Security
HTTP
Type bearer
Path parameters
id
string (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425
Body parameters

Export seed config object.

object

SSH configuration during seeding.

provideCloudSSHKey
boolean

Tells appliance to use the key generated by AWS or Azure.

sshKey
string

SSH public key to allow.

Examplessh-rsa ....
password
string

Appliance's CZ user password.

ExampletSW3!QBv(rj{UuLY
allowCustomization
boolean

Whether the Appliance should allow customizations or not.

Defaulttrue
validityDays
number

How many days the seed should be valid for.

Default1.0
Responses
200

Exported JSON Appliance seed. Body must be saved as seed.json file.

object

The JSON seed used for activation of the appliance.

400

JSON error. Check the JSON format.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

404

The requested resource can not be found.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

412

Appliance is not in the right state for this operation.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.